%define upstream_name    Math-NumberBase
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Number converter from one base to another base
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::NoWarnings)
BuildArch: noarch

%description
This class can convert a number from one base to another base.

By default, this class will use a subset of (0..9,'a'..'z') as the symbols.
That means for base-16 numbers, the default symbols are
0,1,2,3,4,5,6,7,8,9,'a','b','c','d','e','f'. But you can always specify
your own symbols by passing a string to the constructor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-3.mga10
+ Revision: 2206206
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.20.0-2.mga9
+ Revision: 1812762
- Mageia 9 Mass Rebuild

* Wed May 27 2020 tv <tv> 0.20.0-1.mga8
+ Revision: 1588209
- imported package perl-Math-NumberBase


* Wed May 27 2020 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
